Alembic: Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ScalarPropertyWriter Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ScalarPropertyWriter Class Referenceabstract

`#include <ScalarPropertyWriter.h>`

Inheritance diagram for Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ScalarPropertyWriter:
[legend]
Collaboration diagram for Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ScalarPropertyWriter:
[legend]

## Public Member Functions
virtual | ~ScalarPropertyWriter ()
virtual void | setSample (const void *iSamp)=0
virtual void | setFromPreviousSample ()=0
virtual size_t | getNumSamples ()=0
virtual void | setTimeSamplingIndex (uint32_t iIndex)=0
Public Member Functions inherited from Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyWriter
virtual | ~BasePropertyWriter ()
virtual const PropertyHeader & | getHeader () const =0
const std::string & | getName () const
PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const MetaData & | getMetaData () const
const DataType & | getDataType () const
TimeSamplingPtr | getTimeSampling () const
virtual ObjectWriterPtr | getObject ()=0
virtual CompoundPropertyWriterPtr | getParent ()=0
virtual ScalarPropertyWriterPtr | asScalarPtr ()
virtual ArrayPropertyWriterPtr | asArrayPtr ()
virtual CompoundPropertyWriterPtr | asCompoundPtr ()

## Detailed Description

A Scalar Property is a Rank 0 property which has a single value for each sample. This is distinguished from an Array Property, which has a variable number of elements per sample, and requires more sophisticated resource management.

## Constructor & Destructor Documentation

## ◆ ~ScalarPropertyWriter()

Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ScalarPropertyWriter::~ScalarPropertyWriter | ( |  | ) |
| virtual

Virtual destructor ...

## Member Function Documentation

## ◆ getNumSamples()

virtual size_t Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ScalarPropertyWriter::getNumSamples | ( |  | ) |
| pure virtual

Return the number of samples that have been written so far. This changes as samples are written.

Implemented in Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::SpwImpl.

## ◆ setFromPreviousSample()

virtual void Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ScalarPropertyWriter::setFromPreviousSample | ( |  | ) |
| pure virtual

Simply copies the previously written sample's value. This is an important feature.

Implemented in Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::SpwImpl.

## ◆ setSample()

virtual void Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ScalarPropertyWriter::setSample | ( | const void * | iSamp | ) |
| pure virtual

Sets a sample.

For specifying the sample, this takes a void pointer which points to the beginning of the memory corresponding to the scalar.

For String and Wstring, the const void *iSamp is assumed to be static_castable to const std::string * and const std::wstring *, respectively.

The data passed into this function will be used or copied locally by this function, and need not live (in the calling context) outside the return scope of this function call.

Implemented in Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::SpwImpl.

## ◆ setTimeSamplingIndex()

virtual void Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ScalarPropertyWriter::setTimeSamplingIndex | ( | uint32_t | iIndex | ) |
| pure virtual

Changes the TimeSampling used by this property. If the TimeSampling is changed to Acyclic and the number of samples currently set is more than the number of times provided in the Acyclic TimeSampling, an exception will be thrown.

The documentation for this class was generated from the following files:

- AbcCoreAbstract/ScalarPropertyWriter.h
- AbcCoreAbstract/ScalarPropertyWriter.cpp